Bug 1619696 - too old version golang-googlecode-net in EPEL7 repository
Summary: too old version golang-googlecode-net in EPEL7 repository
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: golang-googlecode-net
Version: epel7
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1409553
Blocks: 1561369
TreeView+ depends on / blocked
 
Reported: 2018-08-21 13:45 UTC by Michal Minar
Modified: 2019-02-01 01:25 UTC (History)
3 users (show)

Fixed In Version: golang-googlecode-net-0-0.40.git1c05540.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-01 01:25:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Minar 2018-08-21 13:45:46 UTC
Description of problem:
  Even though golang-googlecode-net-0.35.git4d38db7.el7 is available and has been built in koji [1], the latest available version in the epel7 repository is 0.12.hg84a4013f96e0.el7
  
  [1] https://koji.fedoraproject.org/koji/buildinfo?buildID=825482

  It actually breaks the build environment (output from mock):

    Getting requirements for golang-github-gdamore-encoding-0-0.1.20151215gitb23993c.el7.src
     --> golang-1.9.4-1.el7.x86_64
     --> golang-golangorg-text-devel-0-0.13.git6fc2e00.el7.noarch
     --> golang-golangorg-text-devel-0-0.13.git6fc2e00.el7.noarch
     --> golang-github-smartystreets-goconvey-devel-1.6.1-0.3.gitbf58a9a.el7.noarch
    Error: Package: golang-github-smartystreets-assertions-devel-1.6.0-0.7.git287b434.el7.noarch (build)
               Requires: golang(golang.org/x/net/context)
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest
    
  Can this package be updated in EPEL please?

Version-Release number of selected component (if applicable):
  0.12.hg84a4013f96e0.el7

Actual results:
  Cannot build epel7 packages against depending on this package or golang-github-smartystreets-assertions-devel.

Expected results:
  Packages built for epel7 become available in the repositories.

Comment 1 Fedora Update System 2019-01-11 15:47:58 UTC
golang-googlecode-net-0-0.40.git1c05540.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-4e237c3a93

Comment 2 Fedora Update System 2019-01-12 03:35:16 UTC
golang-googlecode-net-0-0.40.git1c05540.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-4e237c3a93

Comment 3 Fedora Update System 2019-02-01 01:25:22 UTC
golang-googlecode-net-0-0.40.git1c05540.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.